Options

# Options

class Options a

defaultOptions

# Commands

runCommand

## Subcommands

data Subcommand cmdOpts action

subcommand

runSubcommand

# Defining options

defineOptions

## Simple option definitions

boolOption

stringOption

stringsOption

textOption

textsOption

pathOption

intOption

integerOption

floatOption

doubleOption

## Using imported options

data ImportedOptions a

importedOptions

options

## Advanted option definitions

data Option a

option

optionShortFlags

optionLongFlags

optionDefault

optionType

optionDescription

optionGroup

## Option types

data OptionType a

optionTypeBool

optionTypeString

optionTypeText

optionTypeFilePath

optionTypeInt

optionTypeInt8

optionTypeInt16

optionTypeInt32

optionTypeInt64

optionTypeWord

optionTypeWord8

optionTypeWord16

optionTypeWord32

optionTypeWord64

optionTypeInteger

optionTypeFloat

optionTypeDouble

optionTypeMaybe

optionTypeList

optionTypeSet

optionTypeMap

optionTypeEnum

# Option groups

data Group

group

groupTitle

groupDescription

# Parsing argument lists

class Parsed a

parsedError

parsedHelp

## Parsing options

data ParsedOptions opts

parsedOptions

parsedArguments

parseOptions

## Parsing subcommands

data ParsedSubcommand action

parsedSubcommand

parseSubcommand